Juniper/Pulse VPN (SSL VPN) not configurable

Bug #1704603 reported by Moritz Naumann on 2017-07-16
22
This bug affects 5 people
Affects Status Importance Assigned to Milestone
network-manager-openconnect (Ubuntu)
Undecided
Unassigned

Bug Description

While the OpenConnect CLI version available in Ubuntu 16.04.2 supports connecting to (older but not current firmware versions of) Juniper/Pulse VPN (SSL VPN) (using the --pulse option), the NM GUI does not allow for configuring this type of VPN. You can choose to configure an OpenConnect VPN, but it lacks the option to connect using the specific Juniper Network Connect / Pulse Secure SSL VPN protocol.

Newer versions of network-manager-openconnect-gnome do, however, allow for configuring this protocol and work with the openconnect '--protocol pulse' option of the updated openconnect CLI.

Since Xenial is going to stay, and is the most likely target for companies which make use of this VPN technology, please do consider to support this protocol in Xenial by means of a SRU or backport.

The version of both openconnect and, moreover, the NM GUI, is most likely not usable for any ompany running current VPN access servers (with current software versions).

Thanks for your consideration.

affects: network-manager (Ubuntu) → network-manager-openconnect (Ubuntu)
Mike Miller (mtmiller) on 2017-07-16
tags: added: xenial
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager-openconnect (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers